<?php
namespace VAC\VisitorAnalytics\Domain\Model;

/***
 *
 * This file is part of the "Visitor Analytics Core" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019
 *
 ***/

/**
 * Analytics
 */
class Analytics extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
	/**
     * userId
     *
     * @var string
     */
    protected $userId = '';

    /**
     * trackingCode
     *
     * @var string
     */
    protected $trackingCode = '';

    /**
     * siteUrl
     *
     * @var string
     */
    protected $siteUrl = '';

	/**
     * websiteId
     *
     * @var string
     */
    protected $websiteId = '';

    /**
     * accessToken
     *
     * @var string
     */
    protected $accessToken = '';

	/**
     * refreshToken
     *
     * @var string
     */
    protected $refreshToken = '';

	/**
     * timezone
     *
     * @var string
     */
    protected $timezone = '';

	/**
     * Returns the userId
     *
     * @return string $userId
     */
    public function getUserId()
    {
        return $this->userId;
    }

	/**
     * Sets the userId
     *
     * @param string $userId
     * @return void
     */
    public function setUserId($userId)
    {
        $this->userId = $userId;
    }

    /**
     * Returns the trackingCode
     *
     * @return string $trackingCode
     */
    public function getTrackingCode()
    {
        return $this->trackingCode;
    }

    /**
     * Sets the trackingCode
     *
     * @param string $trackingCode
     * @return void
     */
    public function setTrackingCode($trackingCode)
    {
        $this->trackingCode = $trackingCode;
    }

    /**
     * Returns the siteUrl
     *
     * @return string $siteUrl
     */
    public function getSiteUrl()
    {
        return $this->siteUrl;
    }

    /**
     * Sets the siteUrl
     *
     * @param string $siteUrl
     * @return void
     */
    public function setSiteUrl($siteUrl)
    {
        $this->siteUrl = $siteUrl;
    }

	/**
     * Returns the websiteId
     *
     * @return string $websiteId
     */
    public function getWebsiteId()
    {
        return $this->websiteId;
    }

    /**
     * Sets the accessToken
     *
     * @param string $websiteId
     * @return void
     */
    public function setWebsiteId($websiteId)
    {
        $this->websiteId = $websiteId;
    }


    /**
     * Returns the accessToken
     *
     * @return string $accessToken
     */
    public function getAccessToken()
    {
        return $this->accessToken;
    }

    /**
     * Sets the accessToken
     *
     * @param string $accessToken
     * @return void
     */
    public function setAccessToken($accessToken)
    {
        $this->accessToken = $accessToken;
    }

	/**
     * Returns the refreshToken
     *
     * @return string $refreshToken
     */
    public function getRefreshToken()
    {
        return $this->refreshToken;
    }

    /**
     * Sets the refreshToken
     *
     * @param string $refreshToken
     * @return void
     */
    public function setRefreshToken($refreshToken)
    {
        $this->refreshToken = $refreshToken;
    }

	/**
     * Returns the timezone
     *
     * @return string $timezone
     */
    public function getTimezone()
    {
        return $this->timezone;
    }

    /**
     * Sets the timezone
     *
     * @param string $timezone
     * @return void
     */
    public function setTimezone($timezone)
    {
        $this->timezone = $timezone;
    }
}
