$(document).ready(function () {
	let svgComplect = {
        success: '<img src="..typo3conf/ext/visitor_analytics/Resources/Public/Images/va-success.svg">',
        error: '<img src="..typo3conf/ext/visitor_analytics/Resources/Public/Images/va-error.svg">',
        checkedCheckbox: '<svg viewBox="0 0 20 20" version="1.1"><g id="symbols" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="icon-email-report-not-selected" stroke="#13232A"><rect id="Rectangle-7" x="0.5" y="0.5" width="19" height="19" rx="4"></rect></g></g></svg>',
        uncheckedCheckbox: '<svg viewBox="0 0 20 20" version="1.1" width="20px" height="20px" xmlns="http://www.w3.org/2000/svg"><g id="symbols" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><rect stroke="#009688" x="0.5" y="0.5" width="19" height="19" rx="4"></rect><rect stroke="#009688" fill="#009688" stroke-width="1" x="3.5" y="3.5" width="13" height="13" rx="4"></rect></g></svg>',
        loader: '<svg class="logo-loader" width="100px" height="100px" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="15 15 70 70" version="1.1"><svg><circle cx="50" cy="50" r="15" class="ext_light_circle_style" stroke="#009688"></circle><path stroke="#009688" class="ext_bold_circle_style" d="M50,50 m0,-15 a 15,15 0 0,1 0,30 a 15,15 0 0,1 0,-30"><animate attributeName="stroke-dashoffset" dur="4s" to="-820" repeatCount="indefinite"></animate></path></svg><g><path class="logo-loader__circle m--left" stroke="#009688" stroke-width="0.5" fill="none" d="M50,50 m0,-1 a 1,1 0 0,1 0,2 a 1,1 0 0,1 0,-2"></path><path class="logo-loader__circle m--left--up" stroke="#009688" stroke-width="0.5" fill="none" d="M50,50 m0,-1 a 1,1 0 0,1 0,2 a 1,1 0 0,1 0,-2"></path><path class="logo-loader__circle m--lmiddle" stroke="#009688" stroke-width="0.5" fill="none" d="M50,50 m0,-1 a 1,1 0 0,1 0,2 a 1,1 0 0,1 0,-2"></path><path class="logo-loader__circle m--right" stroke="#009688" stroke-width="0.5" fill="none" d="M50,50 m0,-1 a 1,1 0 0,1 0,2 a 1,1 0 0,1 0,-2"></path><path class="logo-loader__circle m--right--up" stroke="#009688" stroke-width="0.5" fill="none" d="M50,50 m0,-1 a 1,1 0 0,1 0,2 a 1,1 0 0,1 0,-2"></path><path class="logo-loader__circle m--rmiddle" stroke="#009688" stroke-width="0.5" fill="none" d="M50,50 m0,-1 a 1,1 0 0,1 0,2 a 1,1 0 0,1 0,-2"></path><path id="XMLID_6_" class="logo-loader__logo-anim" fill="#009688" d="M59.3,41.2c-0.8,0-1.4,0.6-1.4,1.4c0,0.2,0.1,0.4,0.2,0.6l-1.3,2.3c-0.1,0-0.3,0-0.4,0l-1.1-1.1 c0-0.1,0-0.2,0-0.2c0-0.8-0.7-1.5-1.5-1.5c-0.8,0-1.5,0.7-1.5,1.5c0,0.3,0.1,0.6,0.3,0.9l-3,9.5h-0.1c-0.1,0-0.1,0-0.2,0l-6.7-7 c0.2-0.2,0.2-0.5,0.2-0.8c0-0.8-0.7-1.5-1.5-1.5s-1.5,0.7-1.5,1.5c0,0.3,0.1,0.5,0.2,0.8l-1.6,2.7l0,0c-0.8,0-1.4,0.6-1.4,1.4 c0,0.8,0.6,1.4,1.4,1.4s1.4-0.6,1.4-1.4c0-0.2-0.1-0.4-0.2-0.6l1.6-2.7h0.1c0.1,0,0.1,0,0.2,0l6.7,7c-0.2,0.2-0.2,0.5-0.2,0.8 c0,0.8,0.7,1.5,1.5,1.5s1.5-0.7,1.5-1.5c0-0.3-0.1-0.6-0.3-0.9l3-9.7h0.1c0.2,0,0.4-0.1,0.6-0.1l0.9,1l0,0c-0.2,0.7,0.3,1.5,1,1.7 c0.1,0,0.2,0,0.3,0c0.2,0,0.5-0.1,0.7-0.2c0.3-0.2,0.5-0.5,0.6-0.8c0.1-0.3,0-0.6-0.1-0.8l1.4-2.4l0,0c0.8,0,1.4-0.6,1.4-1.4 C60.8,41.8,60.1,41.2,59.3,41.2z M38.8,51l0.1,0.1c0.1,0.2,0.2,0.3,0.2,0.5c0,0.5-0.4,0.8-0.8,0.8c-0.4,0-0.8-0.4-0.8-0.8 c0-0.5,0.4-0.8,0.8-0.8l0,0h0.1h0.2l1.7-2.8c0.1,0.1,0.2,0.1,0.3,0.2L38.8,51z M59.3,43.4L59.3,43.4h-0.1H59l-1.7,2.9l0.1,0.1 c0.1,0.1,0.1,0.3,0.1,0.6c-0.1,0.4-0.6,0.7-1,0.6c-0.4-0.1-0.7-0.6-0.6-1v-0.1l0.1-0.2l-1.1-1.1c0.1-0.1,0.2-0.2,0.2-0.3l1.1,1.2 l0.2-0.1c0.2-0.1,0.3-0.1,0.5,0h0.2l1.7-2.9L58.7,43c-0.1-0.2-0.2-0.3-0.2-0.5c0-0.5,0.4-0.8,0.8-0.8s0.8,0.4,0.8,0.8 C60.2,43,59.8,43.4,59.3,43.4z"></path></g></svg>',
    }

	$(document).on('click', '.form-checkbox', function(e){
		if($(e.target).prop('checked') === false){
			$(e.target).parent().find('.checkbox-icon').html(svgComplect.checkedCheckbox);
		}else{
			$(e.target).parent().find('.checkbox-icon').html(svgComplect.uncheckedCheckbox);
		}
	});

	$(document).on('click', '.checkbox-icon', function(e){
		if($(this).find('input.form-checkbox').prop('checked') === false){
			$(this).find('.checkbox-icon2').html(svgComplect.checkedCheckbox);
		}else{
			$(this).find('.checkbox-icon2').html(svgComplect.uncheckedCheckbox);
		}
	});

	$(document).on('change', '#termsAndDpaAccepted', function(e){
		if($(e.target).prop('checked') === true){
			if($(this).parents('.register-form').find('#termsAndDpaAcceptedLabel .error-text').length != 0){
				$(this).parents('.register-form').find('#termsAndDpaAcceptedLabel .error-text').remove();
			}
			$(e.target).parents('.register-form').find('input.submit_register').removeClass('disabled');
		}else{
			$(e.target).parents('.register-form').find('input.submit_register').addClass('disabled');
		}
	});

	$(document).on("focus", 'input.notification-input', function(e){
        $(this).parent().find('label.lowered').removeClass('lowered');
    });

    $(document).on("blur", 'input.notification-input', function(e){
        if($(this).val() == ''){
            $(this).parent().find('label').addClass('lowered');
        }
    });

	$(document).on('input', 'input[name="firstName"]', function(){
        $(this).parents('.custom-input').removeClass('invalid');
		$('.firstname-error').hide();
    });

	$(document).on('input', 'input[name="lastName"]', function(){
        $(this).parents('.custom-input').removeClass('invalid');
		$('.lastname-error').hide();
    });
	$(document).on('input', '.login input[name="email"]', function(){
		$(this).parents('.custom-input').removeClass('invalid');
	});
	$(document).on('input', '.login input[name="password"]', function(){
		$(this).parents('.custom-input').removeClass('invalid');
	});

	$(document).on('input', '.register input[name="email"]', function(){
		$(this).parents('.custom-input').removeClass('invalid');
		let email = $(this).val();
		var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		if(regex.test(email)) {
			$(document).find('input[name="email"]').parents('.custom-input').removeClass('invalid');
			$('.email-error').hide();
		} else {
			$(document).find('input[name="email"]').parents('.custom-input').addClass('invalid');
			$('.email-error').show();
		}
    });

    $(document).on('input', '.register input[name="password"]', function(){
		let password = $(this).val();
        $(this).parents('.custom-input').removeClass('invalid');
		var regex = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[a-zA-Z\d]{8,}$/;
		if(regex.test(password)) {
			$(document).find('input[name="password"]').parents('.custom-input').removeClass('invalid');
			$('.password-error').hide();
		} else {
			$(document).find('input[name="password"]').parents('.custom-input').addClass('invalid');
			$('.password-error').show();
		}
    });

	$(document).on('click', '.submit_login', function(e){
		$('.result_notice').hide();
        // if($(e.target).parents('.box.popup-box').find('.result_notice').length > 0){
        //     $(e.target).parents('.box.popup-box').find('.result_notice').remove();
        // }
        // e.preventDefault();
        // if($(this).prop('disabled') === true){
        //     return false;
        // }
        let submitButton = $(this);
        let data = $('.register-form').serializeArray();
		let email = '';
		let password = '';
		$.each(data, function (key, val) {
            if (val.name == 'email') {
				email = val.value;
			}
			if (val.name == 'password') {
				password = val.value;
			}
        });
        if(email == '' && password == '') {
            $(document).find('input[name="email"]').parents('.custom-input').addClass('invalid');
            $(document).find('input[name="password"]').parents('.custom-input').addClass('invalid');
            return false;
        }
        if(email == '') {
            $(document).find('input[name="email"]').parents('.custom-input').addClass('invalid');
            return false;
        }
        if(password == '') {
            $(document).find('input[name="password"]').parents('.custom-input').addClass('invalid');
            return false;
        }
        $(e.target).parents('.box.popup-box').prepend(svgComplect.loader);
        $(e.target).parents('.box.popup-box').find('.popup-contents').css('display', 'none');
		$('.register-form').submit();
	});

	$(document).on('click', '.submit_register', function (e) {
		$('.result_notice').hide();
		let data = $('.register-form').serializeArray();
		console.log(data);
		let email = '';
		let password = '';
		let status = 0;
		$.each(data, function (key, val) {
            if (val.name == 'email') {
				email = val.value;
			}
			if (val.name == 'password') {
				password = val.value;
			}
			if (val.name == 'firstName') {
				firstName = val.value;
			}
			if (val.name == 'lastName') {
				lastName = val.value;
			}
        });
		if (firstName == '') {
			$('.firstname-error').show();
			$(document).find('input[name="firstName"]').parents('.custom-input').addClass('invalid');
			status = 1;
		} else {
			$('.firstname-error').hide();
		}
		if (lastName == '') {
			$('.lastname-error').show();
			$(document).find('input[name="lastName"]').parents('.custom-input').addClass('invalid');
			status = 1;
		} else {
			$('.lastname-error').hide();
		}
        if(email == '' && password == '') {
            $(document).find('input[name="email"]').parents('.custom-input').addClass('invalid');
            $(document).find('input[name="password"]').parents('.custom-input').addClass('invalid');
			$('.email-error').show();
			$('.password-error').show();
            status = 1;
        }
        if(email == '') {
            $(document).find('input[name="email"]').parents('.custom-input').addClass('invalid');
			$('.email-error').show();
            status = 1;
        } else if (email) {
			var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			if(regex.test(email)) {
				$(document).find('input[name="email"]').parents('.custom-input').removeClass('invalid');
				$('.email-error').hide();
			} else {
				$(document).find('input[name="email"]').parents('.custom-input').addClass('invalid');
				$('.email-error').show();
				status = 1;
			}
		}
        if(password == '') {
            $(document).find('input[name="password"]').parents('.custom-input').addClass('invalid');
            $('.password-error').show();
			status = 1;
        } else if(password) {
			var regex = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[a-zA-Z\d]{8,}$/;
			if(regex.test(password)) {
				$(document).find('input[name="password"]').parents('.custom-input').removeClass('invalid');
				$('.password-error').hide();
			} else {
				$(document).find('input[name="password"]').parents('.custom-input').addClass('invalid');
				$('.password-error').show();
				status = 1;
			}
		}
		if($(e.target).hasClass('disabled')){
            $(e.target).parents('.register-form').find('.checkbox-required svg #icon-email-report-not-selected').attr('stroke', '#ff5252');
            if($(e.target).parents('.register-form').find('#termsAndDpaAcceptedLabel .error-text').length == 0){
                $(e.target).parents('.register-form').find('#termsAndDpaAcceptedLabel').prepend("<p style='margin:0' class='error-text'>You have to agree to our terms</p>");
            }
            $(e.target).off('click');
            $(e.target).off('change');
            status = 1;
        }
		if (status == 1) {
			return false;
		}
		$(e.target).parents('.box.popup-box').prepend(svgComplect.loader);
        $(e.target).parents('.box.popup-box').find('.popup-contents').css('display', 'none');
		$('.register-form').submit();
	});
});

$(window).on('keydown', function(e){
	if(e.keyCode == 13){
		if($(document).find('form.register-form').hasClass('action_register')){
			if($(document).find('form.register-form').find('#termsAndDpaAccepted').attr('checked') == 'checked'){
				$(document).find('form.register-form').find('.submit_register').trigger('click');
			}else {
				$(document).find('.register-form').find('.checkbox-required svg #icon-email-report-not-selected').attr('stroke', '#ff5252');
				if($(document).find('.register-form').find('#termsAndDpaAcceptedLabel .error-text').length == 0){
					$(document).find('.register-form').find('#termsAndDpaAcceptedLabel').prepend("<p style='margin:0' class='error-text'>You have to agree to our terms</p>");
				}
				return false;
			}
		}
		if($(document).find('form.register-form').hasClass('action_login')){
			$(document).find('form.register-form').find('.submit_login').trigger('click');
		}
	}
});
