<?php
namespace VAC\VisitorAnalytics\Tests\Unit\Domain\Model;

/**
 * Test case.
 */
class AnalyticsTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
    /**
     * @var \VAC\VisitorAnalytics\Domain\Model\Analytics
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = new \VAC\VisitorAnalytics\Domain\Model\Analytics();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getTrackingCodeReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getTrackingCode()
        );
    }

    /**
     * @test
     */
    public function setTrackingCodeForStringSetsTrackingCode()
    {
        $this->subject->setTrackingCode('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'trackingCode',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getSiteUrlReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getSiteUrl()
        );
    }

    /**
     * @test
     */
    public function setSiteUrlForStringSetsSiteUrl()
    {
        $this->subject->setSiteUrl('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'siteUrl',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getUserIdReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getUserId()
        );
    }

    /**
     * @test
     */
    public function setUserIdForStringSetsUserId()
    {
        $this->subject->setUserId('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'userId',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getAccessTokenReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getAccessToken()
        );
    }

    /**
     * @test
     */
    public function setAccessTokenForStringSetsAccessToken()
    {
        $this->subject->setAccessToken('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'accessToken',
            $this->subject
        );
    }
}
