<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
            'VAC.VisitorAnalytics',
            'Visitoranalyticscore',
            'Visitor Analytics Core '
        );

        if (TYPO3_MODE === 'BE') {

            \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
                'VAC.VisitorAnalytics',
                'tools', // Make module a submodule of 'tools'
                'visitoranalyticscore', // Submodule key
                '', // Position
                [
                    'Analytics' => 'login,register,refreshToken,getCode,list, show,addTrackingCode, addWebsite, getToken, showAnalytics, generateCode, getWebsite,activateTrackingCode',
                ],
                [
                    'access' => 'user,group',
                    'icon'   => 'EXT:visitor_analytics/Resources/Public/Images/va-icon.svg',
                    'labels' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_visitoranalyticscore.xlf',
                ]
            );

        }

        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile('visitor_analytics', 'Configuration/TypoScript', 'Visitor Analytics Core');

        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_visitoranalytics_domain_model_analytics', 'EXT:visitor_analytics/Resources/Private/Language/locallang_csh_tx_visitoranalytics_domain_model_analytics.xlf');
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_visitoranalytics_domain_model_analytics');

    }
);
$pluginSignature = str_replace('_', '', $_EXTKEY) . '_visitoranalytics';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform.xml');
